Bug 1908274 - python-starlette: FTBFS in Fedora rawhide
Summary: python-starlette: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-starlette
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: code
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F34FTBFS PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-12-16 09:53 UTC by Tomáš Hrnčiar
Modified: 2021-03-02 04:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-26 15:58:54 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2020-12-16 09:53:48 UTC
Description of problem:
Package python-starlette fails to build from source in Fedora rawhide.

Version-Release number of selected component (if applicable):
0.13.8-1.fc34

Steps to Reproduce:
koji build --scratch f34 python-starlette-0.13.8-1.fc34.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/python-starlette

=================================== FAILURES ===================================
_______________________________ test_debug_html ________________________________

    def test_debug_html():
        async def app(scope, receive, send):
            raise RuntimeError("Something went wrong")
    
        app = ServerErrorMiddleware(app, debug=True)
        client = TestClient(app, raise_server_exceptions=False)
        response = client.get("/", headers={"Accept": "text/html, */*"})
        assert response.status_code == 500
>       assert response.headers["content-type"].startswith("text/html")

tests/middleware/test_errors.py:42: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

self = {}, key = 'content-type'

    def __getitem__(self, key):
>       return self._store[key.lower()][1]
E       KeyError: 'content-type'

/usr/lib/python3.10/site-packages/requests/structures.py:54: KeyError
=============================== warnings summary ===============================
/usr/lib/python3.10/site-packages/aiofiles/os.py:10
/usr/lib/python3.10/site-packages/aiofiles/os.py:10
/usr/lib/python3.10/site-packages/aiofiles/os.py:10
/usr/lib/python3.10/site-packages/aiofiles/os.py:10
/usr/lib/python3.10/site-packages/aiofiles/os.py:10
/usr/lib/python3.10/site-packages/aiofiles/os.py:10
  /usr/lib/python3.10/site-packages/aiofiles/os.py:10: DeprecationWarning: "@coroutine" decorator is deprecated since Python 3.8, use "async def" instead
    def run(*args, loop=None, executor=None, **kwargs):

tests/test_datastructures.py:216
  /builddir/build/BUILD/starlette-0.13.8/tests/test_datastructures.py:216: PytestCollectionWarning: cannot collect test class 'TestUploadFile' because it has a __init__ constructor (from: tests/test_datastructures.py)
    class TestUploadFile(UploadFile):

tests/middleware/test_cors.py:184
  /builddir/build/BUILD/starlette-0.13.8/tests/middleware/test_cors.py:184: DeprecationWarning: invalid escape sequence \.
    allow_origin_regex="https://.*\.example.org",

tests/test_responses.py: 2 warnings
tests/test_staticfiles.py: 1 warning
tests/test_websockets.py: 1 warning
tests/middleware/test_base.py: 6 warnings
tests/middleware/test_gzip.py: 1 warning
  /builddir/build/BUILD/starlette-0.13.8/starlette/concurrency.py:16: DeprecationWarning: The explicit passing of coroutine objects to asyncio.wait() is deprecated since Python 3.8, and scheduled for removal in Python 3.11.
    (done, pending) = await asyncio.wait(tasks, return_when=asyncio.FIRST_COMPLETED)

-- Docs: https://docs.pytest.org/en/stable/warnings.html
=========================== short test summary info ============================
FAILED tests/middleware/test_errors.py::test_debug_html - KeyError: 'content-...
================== 1 failed, 185 passed, 19 warnings in 2.36s ==================

Comment 1 Fedora Release Engineering 2020-12-27 04:22:33 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-02-10).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 2 Itamar Reis Peixoto 2020-12-27 11:52:32 UTC
sorry, can't fix, Fedora suspended / blocked my FAS account.

Comment 3 Fedora Release Engineering 2021-01-03 04:22:28 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-02-10).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 4 Fedora Release Engineering 2021-01-24 04:22:21 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-02-10).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 5 Itamar Reis Peixoto 2021-02-05 14:06:13 UTC
Fedora Blocked my FAS account, Can'T fix it, go and fix it yourself.

Comment 6 Tomáš Hrnčiar 2021-02-10 07:00:23 UTC
Hello,

we are using this bugzilla for tracking purposes. 
Please, keep this open even though you are unable to fix it.

Thank you

Comment 7 Fedora Release Engineering 2021-02-14 04:22:22 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-02-10).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 8 Fedora Release Engineering 2021-02-14 04:22:22 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-02-10).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 9 Fedora Admin user for bugzilla script actions 2021-02-26 00:12:30 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 10 Fedora Update System 2021-02-26 15:56:17 UTC
FEDORA-2021-58a3a5967c has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-58a3a5967c

Comment 11 Fedora Update System 2021-02-26 16:34:06 UTC
FEDORA-2021-58a3a5967c has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-58a3a5967c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-58a3a5967c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-03-02 04:31:49 UTC
FEDORA-2021-1ad5b4b921 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-1ad5b4b921`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-1ad5b4b921

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.


Note You need to log in before you can comment on or make changes to this bug.